@media (min-width: 1400px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 1368px;
    }
}

@media screen and (max-width: 1440px) {
    .py-micro-bg{
        max-width: 580px;
    }
}

@media (max-width: 1199px) {
.single-artical-team-section .single-artical-team-section h6 {
    font-size: 40px;
}
    .py-sub-content p {
    font-size: 40px;
    }
    .py-micro-bg{
        max-width: 470px;
    }
    .py-f-links{
        column-gap: 24px;
    }
    .py-footer-wrapper .py-f-logo{
        max-width: 300px;
        width: 100%;
    }
    .py-spirit-section::after {
        display: block;
        max-width: 100%;
    }


    .py-spirit-section .py-tech-bottom::after {
        display: none;
    }

    .py-tech-bottom .py-tech-right .section-title {
        max-width: 100%;
        width: 100%;
    }

    .hero-wrapper {
        display: flex;
        flex-direction: column;
        justify-content: end;
        gap: 30px;
        align-items: flex-start;
    }

    .py-cards-row-wrapper {
        row-gap: 120px;
    }

    .get-in-touch-details h5 br {
        display: none;
    }

    .py-tech-bottom {
        row-gap: 46px;
    }

    .py-tech-bottom .py-tech-right {
        order: 2;
    }

    .py-tech-bottom .py-tech-left {
        order: 1;
    }
}

@media (max-width:1024px) {
    .py-latest-from-sec,
    .py-opt-section{
        padding: 96px 0;
    }
    .py-spirit-section .py-tech-bottom{
        padding: 96px 0;
    }
    .py-leadership-team-wrapper {
        flex-direction: column;
        row-gap: 60px;
    }

    .py-leadership-team-left,
    .py-leadership-team-right {
        width: 100%;
    }

    .py-leadership-team-left .section-title {
        max-width: 100%;
        width: 100%;
    }

    .py-leadership-team-right {
        row-gap: 50px;
    }

    .py-leadership-team-sec::after {
        right: 0;
        left: auto;
    }
}


@media (max-width: 1023px) {
    .timeline-wrap {
        flex-flow: row;
        gap: 30px;
    }

    .timeline-top {
        flex-flow: column;
        justify-content: space-between;
        align-items: flex-start;
        gap: 7px;
        padding-bottom: 0;
    }

    .text-grid-quarters1.timeline-items {
        flex-flow: column;
        flex: 1;
        display: flex;
    }

    .text-grid-quarters1 {
        grid-row-gap: calc(24 * 3);
        grid-template-columns: 1fr 1fr;
    }

    .timeline-line {
        width: 12px;
        height: 1px;
    }

    .badge-text.timeline-marker-text {
        top: 4px;
        left: 20px;
        transform: translate(0%);
        font-size: 11px;
    }

    .timeline-line.tall {
        width: 48px;
        height: 1px;
    }

    .py-timeline-section-small {
        display: block;
        background-color: var(--Colors-Theme);
        padding: 50px 0;
    }

    .py-small-timeline {
        margin-top: 50px;
        width: 100%;
    }

    .py-timeline-section {
        display: none;
    }

    .py-news-insight-section {
        padding: 140px 0;
    }

    .py-timeline-track {
        width: 100%;
        transform: none !important;
    }

    .py-timeline-year,
    .py-timeline-cards-wrapper {
        width: 100%;
    }

    .timeline-top {
        overflow-x: auto;
        padding-bottom: 24px;
    }

    .text-grid-quarters1 {
        flex-direction: column;
        gap: 38px;
    }

    .text-grid-item {
        max-width: 100%;
    }

    .text-grid-item span {
        font-size: 18px;
        color: var(--text-white);
    }

    .text-grid-item p {
        font-size: 14px;
        color: var(--Colors-White---Muted-Text);
    }

    .py-total-process-image-content {
        gap: 50px;
        padding: 30px;
    }
}


@media (max-width: 992px) {
    .py-gratuate-section{
        height: auto;
    }
    #img-hidden{
        display: block;
    }
    .py-micro-bg{
        display: none;
    }
    .py-early-career-title {
        margin-bottom: 50px;
    }

    .py-every-stage-inner-card {
        grid-template-columns: repeat(2, 1fr);
    }

    .py-optical-com-wrapper {
        flex-direction: column-reverse;
        gap: 60px;
        height: auto !important;
    }

    .py-optical-com-left {
        gap: 50px;
    }

    .py-optical-com-left {
        width: 100%;
    }

    .py-optical-com-right-image {
        width: 100%;
    }

    .py-optical-com-left .section-title,
    .py-optical-com-left .py-optical-com-btn {
        max-width: 100%;
    }

    .py-micro-led-wrapper {
        flex-direction: column;
        row-gap: 60px;
    }

    .py-micro-led-left {
        width: 100%;
        row-gap: 24px;
        height: auto;
    }

    .py-micro-led-right {
        width: 100%;
        row-gap: 50px;
    }

    .py-micro-led-crads .gsap-reveal-inner{
        row-gap: 50px;
    }

    .py-micro-led-image {
        max-width: 100%;
        height: auto;
    }

    .py-optical-photon-sec .py-micro-led-wrapper {
        flex-direction: column;
    }

    .nav-wrapper .py-nav-link .py-nav-main ul {
        gap: 40px;
    }

    .py-total-process-image-content {
        max-width: 400px;
    }

    .py-early-career-section-2 .py-optical-com-wrapper {
        flex-direction: column-reverse;
    }
}

@media (max-width: 991px) {

    .py-current-table .py-c-link{
        display: none;
    }
    .py-optical-photon-sec .py-micro-led-left {
        align-items: flex-start;
    }

    .hero-wrapper {
        padding-bottom: 50px;
        height: auto;
        padding-top: 300px;
    }

    .py-current-table table {
        width: 100%;
        border-collapse: collapse;
    }

    .py-current-table thead {
        display: none;
    }

    .py-current-table th {
        padding: 8px 0;
    }

    .py-current-table tr {
        display: block;
        width: 100%;
        border-top: 1px solid #FFFFFF40;
        padding: 15px 0;
    }

    .py-current-table td {
        display: block;
        width: 100%;
        padding: 0 0;
        text-align: left;
    }

    /* Remove fixed width from desktop */
    .py-current-table td,
    .py-current-table td:last-child {
        width: 100%;
    }

    h1 {
        font-size: 48px;
    }

    h2 {
        font-size: 42px;
    }

    h3 {
        font-size: 32px;
    }

    h4 {
        font-size: 28px;
    }



    .py-every-stage-inner-card {
        gap: 40px;
    }

    .py-news-article-content-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .news-article-top-right {
        gap: 50px;
    }

    .py-news-article-top-section {
        padding-bottom: 130px;
    }

    .py-news-article-reading-section {
        gap: 100px;
    }

    .py-news-article-reading-section {
        padding-bottom: 130px;
    }

    .py-privacy-security-page-content {
        max-width: 100%;
        padding-bottom: 120px;
    }

    .py-privacy-title-wrapper {
        padding-top: 130px;
    }

    .py-single-location-heading,
    .py-description-details-content {
        max-width: 100%;
    }

    .py-single-location-heading {
        gap: 70px;
    }

    .py-career-single-form-details {
        max-width: 100%;
    }

    .py-career-single-form-wrapper {
        padding-bottom: 130px;
    }

    .py-single-location-title-wrapper {
        padding-top: 130px;
    }

    .py-contact-form-details,
    .py-c-form-title-wrapper {
        grid-template-columns: 1fr;
    }

    .py-contact-right-part {
        grid-column: auto;
    }

    .py-cont-main-wrapper {
        padding-top: 100px;
        padding-bottom: 70px;
    }

    .get-in-touch-details {
        gap: 40px;
    }

    .py-news-insight-section {
        padding: 100px 0;
    }

    .py-top-article-wrapper::before {
        bottom: -60px;
    }

    .py-news-card-main-wrapper {
        gap: 130px;
    }

    .insight-small-card {
        gap: 16px;
    }

    .py-tech-bottom {
        grid-template-columns: 1fr;
    }

    .py-total-p-card-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }

    .py-cards-row-wrapper {
        grid-template-columns: repeat(2, 1fr);
        gap: 30px;
    }

    .py-footer-wrapper {
        flex-direction: column;
        row-gap: 50px;
    }

    .py-f-links {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 50px;
    }

    .every-stage-wrapper {
        gap: 70px;
    }

    .py-build-feature-section .get-in-touch-details {
        gap: 34px;
    }

    .py-contact-details-contact {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .py-build-feature-wrapper {
        padding-top: 96px;
        padding-bottom: 70px;
    }

    .every-stage-sec,
    .py-leadership-team-sec,
    .py-opt-section {
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .section-padding {
        padding: 70px 0;
    }

    .py-benefit-wrapper .py-micro-led-crads .gsap-reveal-inner{
        grid-template-columns: repeat(2, 1fr);
    }

    .py-news-insight-img-wrapper {
        grid-template-columns: repeat(1, 1fr);
        gap: 50px;
    }
}

@media (max-width: 767px) {
    .py-t-title .gsap-reveal-inner{
        row-gap: 24px;
    }

    .py-micro-led-cards-bottom-text {
        row-gap: 24px;
    }
    .py-privacy-details p>a{
        font-size: 15px;
    }
    .py-nav-main {
        display: none;
    }

    .py-toggle-btn {
        display: block;
    }

    .py-toggle-btn button {
        background: transparent;
        border: 0;
        outline: none;
        box-shadow: none;
    }

    .nav-wrapper {
        padding-top: 18px;
        height: auto;
    }

    .toggle-header {
        position: fixed;
        background-color: var(--bg-body);
        top: -110%;
        left: 0;
        width: 100%;
        height: 100vh;
        z-index: 999;
        display: flex;
        flex-direction: column;
        gap: 48px;
        padding: 48px 20px;
        transition: all 0.3s ease;
        opacity: 0;
    }

    .toggle-header.active {
        top: 0;
        opacity: 1;
        transition: all 0.3s ease;
    }

    .toggle-header .py-toggle-top {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .toggle-header .py-toggle-top .py-s-logo {
        width: 106px;
        height: 31px;
    }

    .toggle-header .py-toggle-top .py-s-logo img {
        width: 100%;
        height: 100%;
    }

    .toggle-header .py-toggle-top .py-s-close-btn button {
        outline: none;
        border: none;
        box-shadow: none;
        background-color: transparent;
    }

    .toggle-header .py-sticky-menu ul {
        list-style: none;
        padding-left: 0;
        margin-bottom: 0;
        display: flex;
        flex-direction: column;
        gap: 12px;
    }

    .toggle-header .py-sticky-menu ul li a {
        font-size: var(--fz-19);
        font-weight: 600;
        color: var(--text-white);
        display: block;
        padding: 8px 0;
    }

    h1 {
        font-size: 38px;
        line-height: 100%;
    }

    h2 {
        font-size: 32px;
    }

    h3 {
        font-size: 24px;
    }

    h4 {
        font-size: 24px;
    }

    .sub-content {
        gap: 14px;
    }

    .py-total-process-image-content-text {
        gap: 12px;
    }

    .py-total-process-image-content {
        gap: 28px;
    }

    .py-privacy-details {
        gap: 19px;
    }

    .splide__slide .py-ap-card .py-ap-card-content {
        gap: 40px;
    }

    p,
    .py-optical-com-left .sub-content p,
    .py-total-process-image-content p,
    .py-totpa-p-card p,
    .every-stage-sec .section-title .sub-content p,
    .py-every-stage-single-card-text p,
    .py-leadership-team-left .section-title .sub-content p,
    .py-current-op-title .section-title .sub-content p,
    .py-benefit-wrapper .section-title .sub-content p {
        font-size: 15px;
    }

    .py-leadership-team-profile p {
        font-size: 16px;
    }

    .py-top-article-wrapper::before {
        bottom: -30px;
    }

    .py-news-card-main-wrapper {
        gap: 70px;
    }

    .container {
        padding-right: calc(var(--bs-gutter-x) * .5);
        padding-left: calc(var(--bs-gutter-x) * .5);
        max-width: 700px;
    }

    .py-latest-from-title .gsap-reveal-inner{
        margin-bottom: 60px;
    }

    .py-latest-from-title .gsap-reveal-inner{
        gap: 40px;
    }

    /* .py-leadership-team-sec::after {
        left: -20%;
    } */

    .py-ready-to-diss-sec {
        padding-top: 150px;
    }

    .py-build-feature-wrapper {
        gap: 90px;
    }

    .py-current-op-title {
        padding-bottom: 70px;
    }

    .py-career-table-section {
        gap: 70px;
    }

    .news-article-top-right {
        gap: 40px;
    }

    .py-news-article-right {
        gap: 70px;
    }

    .py-news-article-top-section {
        margin-top: calc(0 + 192px);
    }
}

@media (max-width:768px) {

    .single-artical-team-section .py-leadership-team-profile p {
        font-size: 34px !important;
    }

   .single-artical-team-section h6 {
    font-size: 34px;
   }
   .single-artical-team-section .py-leadership-team-profile p {
        font-size: 34px !important;
   }

    .single-team-section.py-news-article-reading-section .py-top-article-wrapper::before {
    content: '';
    bottom: -57px;
    }
    .py-micro-v2-cards{
        display: grid !important;
        grid-template-columns: repeat(1, 1fr) !important;
        grid-template-rows: auto !important;
        column-gap: 24px !important;
        row-gap: 24px !important;
    }
    .py-tech-bottom .py-tech-left .py-tech-img-bottom{
        height: 440px;
    }
    .py-latest-from-sec::after{
        max-width: 100%;
    }
    .py-contact-form-title-wrap-main {
        padding: 50px 0;
    }

    .py-contact-image-wrapper {
        padding: 50px 0;
    }

    .py-con-form-main {
        padding: 50px 0;
    }

    .py-news-article-top-section {
        margin-top: calc(100px + 50px);
    }

    .py-news-article-right {
        gap: 50px;
    }

    .py-news-article-top-section {
        padding-bottom: 50px;
    }

    .py-news-article-reading-section {
        padding-bottom: 50px;
    }

    .py-news-article-reading-section {
        gap: 50px;
    }

    .py-career-single-form-wrapper {
        padding: 50px 0;
    }

    .py-current-op-title::after {
        display: none;
    }

    .py-build-feature-wrapper {
        padding-bottom: 50px;
    }

    .py-career-why-sec {
        padding: 50px 0;
    }

    .py-career-why-sec::after {
        max-width: 100%;
    }

    .py-ap-slider {
        gap: 50px;
    }

    .py-ap-slider {
        padding: 50px 0;
    }

    .section-padding {
        padding: 50px 0;
    }

    .py-f-links {
        gap: 35px;
    }

    .py-f-links .py-footer-manu ul {
        gap: 10px;
    }

    .py-f-links .py-footer-manu {
        gap: 20px;
    }

    .py-leadership-team-profile p {
        font-size: 15px;
    }

    .py-leadership-team-info {
        gap: 15px;
    }

    .every-stage-wrapper {
        gap: 50px;
    }

    .py-every-stage-inner-card {
        grid-template-columns: repeat(1, 1fr);
        row-gap: 25px;
    }

    .py-every-stage-single-card-detail {
        gap: 15px;
    }

    .py-leadership-team-right {
        grid-template-columns: repeat(2, 1fr);
    }

    .py-t-content-section,
    .py-who-we-are-section,
    .py-footer-top,
    .py-ready-to-diss-sec,
    .py-latest-from-sec,
    .py-tech-section,
    .py-spirit-section .py-tech-bottom {
        padding: 50px 0 50px 0;
    }

    .py-total-p-wrapper {
        display: flex;
        align-items: flex-end;
        justify-content: center;
    }

    .py-latest-from-title .gsap-reveal-inner {
        margin-bottom: 55px;
    }
}



@media (max-width: 525px) {

    .btn-blur,
    .btn-blue {
        max-width: 200px;
    }
}

@media (max-width: 575px) {
    .py-img-wrapper{
        height: 500px;
    }
    .py-contact-image-wrapper {
        padding: 0 0;
    }
    .timeline-top{
        padding-bottom: 0;
    }
    .text-grid-quarters1 {
        gap: 34px;
    }
    .py-micro-led-crads-wrapper h5{
        margin-bottom: 24px;
    }
    .py-t-title br {
        display: none;
    }
    .get-in-touch-with{
        max-width: 100%;
        width: 100%;
    }

    .get-in-touch-with strong br{
        display: none;
    }
    .get-in-touch-list{
        grid-template-columns: 1fr;
    }
    .splide__slide .py-ap-card .py-ap-card-content{
        gap: 10px;
    }
    .py-tech-bottom .py-tech-left .py-tech-img-top{
        height: 215px;
    }
    .py-current-table td{
        padding: 3px 0;
    }
    .py-tech-bottom .py-tech-left .py-tech-img-bottom{
        height: 245px;
    }
    .splide__slide .py-ap-card .py-ap-card-content {
        max-width: 100%;
    }

    .splide__slide .py-ap-card {
        height: auto;
        padding: 0;
        width: 100%;
    }

    .splide__slide .py-ap-card .py-ap-card-bg {
        position: static;
    }

    .splide__slide .py-ap-card .py-ap-card-bg img {
        aspect-ratio: 4/3;
    }

    .splide__slide .py-ap-card {
        display: flex;
        flex-direction: column;
    }

    .news-article-top-right {
        gap: 28px;
    }

    .py-news-insight-right {
        grid-template-columns: 1fr;
    }

    .py-gratuate-section .py-optical-com-btn {
        gap: 16px;
    }

    .py-benefit-wrapper .py-micro-led-crads .gsap-reveal-inner{
        grid-template-columns: repeat(1, 1fr);
    }

    .py-career-table-section {
        gap: 50px;
    }

    .py-current-op-title {
        padding-bottom: 50px;
    }

    .py-optical-com-wrapper {
        gap: 50px;
    }

    .py-optical-com-left {
        gap: 40px;
    }

    .py-total-process-image-content {
        /* backdrop-filter: blur(3px); */
        max-width: 100%;
        gap: 30px;
    }

    .py-total-p-wrapper {
        padding: 24px;
    }

    .py-cards-row-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }


    .py-latest-from-title {
        margin-bottom: 50px;
    }

    .py-latest-from-title .gsap-reveal-inner {
        gap: 30px;
    }

    .py-micro-led-crads .gsap-reveal-inner{
        grid-template-columns: 1fr;
        row-gap: 36px;
    }

    .py-ap-slider {
        gap: 60px;
    }

    .py-ap-slider {
        padding-bottom: 120px;
    }
}

@media (max-width: 475px) {
    .py-footer-b-wrapper .py-f-b-copy {
        flex-direction: column;
        align-items: flex-start;
        text-align: left;
        justify-content: center;
        gap: 14px;
    }

    .py-footer-bottom {
        padding: 20px 0;
    }

    .py-total-p-card-wrapper {
        grid-template-columns: 1fr;
    }
}

@media screen and (max-width: 425px) {

  .single-artical-team-section  .py-news-article-left img{
        width: 100% !important;
    }

        .single-artical-team-section h6 {
        font-size: 24px;
        }

           .single-artical-team-section .py-leadership-team-profile p {
        font-size: 24px !important;
        margin-top: 14px;
        }
    .py-leadership-team-image{
        height: 260px;
    }
    .timeline-top{
        gap: 9px;
    }
    .text-grid-quarters1 {
        gap: 40px;
    }
}

@media screen and (max-width: 400px){
    .text-grid-quarters1 {
        gap: 36px;
    }
}